#ifndef _KVI_MODULEEXTENSIONTOOLBAR_H_
#define _KVI_MODULEEXTENSIONTOOLBAR_H_
//
//   File : kvi_moduleextensiontoolbar.h
//   Creation date : Thu Sep 12 22:11:45 2002 GMT by Szymon Stefanek
//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 2002 Szymon Stefanek (pragma at kvirc dot net)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc. ,59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "kvi_moduleextension.h"
#include "kvi_toolbar.h"

class KviFrame;

class KviModuleExtensionToolBar : public KviToolBar , public KviModuleExtension
{
	Q_OBJECT
public:
	KviModuleExtensionToolBar(KviModuleExtensionDescriptor * d,const KviStr &szName,KviFrame * par);
	~KviModuleExtensionToolBar();
protected:
	KviFrame * m_pFrm;
public:
	KviFrame * frame(){ return m_pFrm; };
};

#endif //_KVI_MODULEEXTENSIONTOOLBAR_H_
